Bug 1096984 - VUL-1: CVE-2018-10360: php5,php53,php7: The do_core_note function in readelf.c in libmagic.a in file 5.33 allows remoteattackers to cause a denial of service (out-of-bounds read and applicationcrash) via a crafted ELF file.
VUL-1: CVE-2018-10360: php5,php53,php7: The do_core_note function in readelf....
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/207803/
CVSSv3:SUSE:CVE-2018-10360:3.3:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-11 14:33 UTC by Marcus Meissner
Modified: 2020-08-04 08:30 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-06-11 14:33:38 UTC
+++ This bug was initially created as a clone of Bug #1096974 +++

CVE-2018-10360

The do_core_note function in readelf.c in libmagic.a in file 5.33 allows remote
attackers to cause a denial of service (out-of-bounds read and application
crash) via a crafted ELF file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-10360
https://github.com/file/file/commit/a642587a9c9e2dd7feacdf513c3643ce26ad3c22
Comment 1 Petr Gajdos 2018-06-12 10:14:32 UTC
readelf.c is only in 12/php5 and 11sp3/php53. The code is there, just in donote() function after core: label instead of do_core_note().
Comment 2 Petr Gajdos 2018-06-12 10:30:01 UTC
Packages submitted: 12/php5 and 11sp3/php53.

I believe all fixed.
Comment 4 Swamp Workflow Management 2018-06-12 16:00:15 UTC
This is an autogenerated message for OBS integration:
This bug (1096984) was mentioned in
https://build.opensuse.org/request/show/616342 Factory / file
Comment 6 Swamp Workflow Management 2018-06-13 08:30:09 UTC
This is an autogenerated message for OBS integration:
This bug (1096984) was mentioned in
https://build.opensuse.org/request/show/616455 Factory / file
Comment 8 Swamp Workflow Management 2018-07-23 19:09:39 UTC
SUSE-SU-2018:2044-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1096984,1099098
CVE References: CVE-2018-10360,CVE-2018-12882
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    php53-5.3.17-112.28.1
SUSE Linux Enterprise Server 11-SP4 (src):    php53-5.3.17-112.28.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    php53-5.3.17-112.28.1
Comment 12 Swamp Workflow Management 2018-09-10 19:13:37 UTC
SUSE-SU-2018:2682-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1096984,1099098,1103659,1105466
CVE References: CVE-2017-9118,CVE-2018-10360,CVE-2018-12882,CVE-2018-14851
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    php5-5.5.14-109.38.1
SUSE Linux Enterprise Module for Web Scripting 12 (src):    php5-5.5.14-109.38.1
Comment 13 Swamp Workflow Management 2018-09-12 10:09:03 UTC
openSUSE-SU-2018:2694-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1096984,1099098,1103659,1105466
CVE References: CVE-2017-9118,CVE-2018-10360,CVE-2018-12882,CVE-2018-14851
Sources used:
openSUSE Leap 42.3 (src):    php5-5.5.14-103.1
Comment 16 Swamp Workflow Management 2019-03-07 23:10:02 UTC
SUSE-SU-2019:0571-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1096974,1096984,1126117,1126118,1126119
CVE References: CVE-2018-10360,CVE-2019-8905,CVE-2019-8906,CVE-2019-8907
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    python-magic-5.32-7.5.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    file-5.32-7.5.1, python-magic-5.32-7.5.1
Comment 17 Swamp Workflow Management 2019-04-02 16:20:00 UTC
SUSE-SU-2019:0839-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1096974,1096984,1126117,1126118,1126119
CVE References: CVE-2018-10360,CVE-2019-8905,CVE-2019-8906,CVE-2019-8907
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    file-5.22-10.12.2, python-magic-5.22-10.12.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    file-5.22-10.12.2, python-magic-5.22-10.12.2
SUSE Linux Enterprise Server 12-SP4 (src):    file-5.22-10.12.2
SUSE Linux Enterprise Server 12-SP3 (src):    file-5.22-10.12.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    file-5.22-10.12.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    file-5.22-10.12.2
SUSE CaaS Platform ALL (src):    file-5.22-10.12.2
SUSE CaaS Platform 3.0 (src):    file-5.22-10.12.2
OpenStack Cloud Magnum Orchestration 7 (src):    file-5.22-10.12.2

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 19 Alexandros Toptsoglou 2020-08-04 08:08:06 UTC
Done